VehicleState

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.gamedata
Enum VehicleState

    java.lang.Object
      java.lang.Enum<VehicleState>
          net.ctdp.rfdynhud.gamedata.VehicleState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VehicleState>

    public enum VehicleState

extends java.lang.Enum<VehicleState>

Author:
  Marvin Froehlich (CTDP)

Enum Constant Summary
`ABS_FASTEST`
`ON_TRACK`
`PERS_FASTEST`
`PITLANE`
`PITTING`
`SLOWER`

Field Summary
`static float` | `NEAR_ZERO_VELOCITY` The velocity in m/s near zero to consider a vehicle to be standing when below.

Method Summary
`static VehicleState` | `get(VehicleScoringInfo vsi, float slowerFasterDelay)` Gets the current `VehicleState` for the given vehicle.
`boolean` | `isInPitlane()`
`boolean` | `isOnTrack()`
`boolean` | `isPitting()`
`static VehicleState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VehicleState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PITTING

    public static final VehicleState PITTING

### PITLANE

    public static final VehicleState PITLANE

### ON_TRACK

    public static final VehicleState ON_TRACK

### SLOWER

    public static final VehicleState SLOWER

### PERS_FASTEST

    public static final VehicleState PERS_FASTEST

### ABS_FASTEST

    public static final VehicleState ABS_FASTEST

Field Detail

### NEAR_ZERO_VELOCITY

    public static final float NEAR_ZERO_VELOCITY

  The velocity in m/s near zero to consider a vehicle to be standing when below.

  See Also:
    Constant Field Values

Method Detail

### values

    public static VehicleState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VehicleState c : VehicleState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VehicleState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isPitting

    public final boolean isPitting()

### isInPitlane

    public final boolean isInPitlane()

### isOnTrack

    public final boolean isOnTrack()

### get

    public static final VehicleState get(VehicleScoringInfo vsi,
                                         float slowerFasterDelay)

  Gets the current `VehicleState` for the given vehicle.

  Parameters:
    `vsi` - the vehicle to get the state for
    `slowerFasterDelay` - the delay in seconds after lap start to display slower or faster state for
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD